Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::ObjectSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Object. More...

`#include <xfc/gtk/objectsignals.hh>`

Inheritance diagram for Xfc::Gtk::ObjectSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_destroy ()
    Called when the holder of a reference should release the reference that they hold.

## Protected Member Functions

Constructors

- ObjectSignals (Object *object)
    Constructs a new ObjectSignals object.
- virtual ~ObjectSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Object.

## Constructor & Destructor Documentation

Xfc::Gtk::ObjectSignals::ObjectSignals | ( | Object * | object | ) | `[protected]`

Constructs a new ObjectSignals object.

Parameters:

  | object | A Gtk::Object object inheriting the Gtk::ObjectSignals implementation.

Reimplemented from Xfc::G::ObjectSignals.

## Member Function Documentation

virtual void Xfc::Gtk::ObjectSignals::on_destroy | ( |  | ) | `[virtual]`

| Called when the holder of a reference should release the reference that they hold. This may result in finalization of the object if all references are released.

The documentation for this class was generated from the following file:

- libXFCui/xfc/gtk/objectsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3